package yangtz.cs.liu.campus.service.exam;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import yangtz.cs.liu.campus.domain.exam.ExamUser;
import yangtz.cs.liu.campus.vo.exam.ExamUserVo;

import java.util.List;

public interface IExamUserService extends IService<ExamUser> {

    /**
     * 查询范围（成员）列表
     *
     * @param examUser
     * @return
     */
    List<ExamUserVo> queryList(ExamUserVo examUser);

    /**
     * 导出
     *
     * @param ids
     * @return
     */
    List<ExamUserVo> export(List<Integer> ids);

    List<Long> selectAllUserIdByExamId(Long examId);

    List<ExamUserVo> selectAddList(ExamUserVo examUser, List<Long> userIdList);

    int addExamUsers(Long examId, Long[] userIds);
}
